GuideLab Docs

Create or update a patient

Keyed by the Smileline patient id. A patient Smileline has asked to erase is refused for good.

PUT
/smileline/v1/practices/{practiceRef}/patients/{patientRef}

Keyed by the Smileline patient id. A patient Smileline has asked to erase is refused for good.

Authorization

smilelineBearer
AuthorizationBearer <token>

Smileline cell credential gl_sl_v1_<cell>_<secret>, one per Smileline cell; accepted only on /smileline/v1. A practice belongs to one cell and is not found from any other.

In: header

Path Parameters

practiceRef*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/u
patientRef*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/u

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/smileline/v1/practices/string/patients/string" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string"  }'
{  "patientRef": "string",  "created": true}
{  "patientRef": "string",  "created": true}
Empty
Empty
Empty
{  "error": "string",  "code": "string"}